Index: LibGroupTalents-1.0.lua
===================================================================
--- LibGroupTalents-1.0.lua	(revision 73)
+++ LibGroupTalents-1.0.lua	(working copy)
@@ -744,13 +744,13 @@
 		local data = lib.classTalentData[class]
 		if (not data) then
 			local isnotplayer = not UnitIsUnit("player", unit)
-			if (GetNumTalentTabs(isnotplayer) > 0) then
+			if (GetNumSpecializations(isnotplayer) > 0) then
 				data = new()
 
-				for tab = 1, GetNumTalentTabs(isnotplayer) do
+				for tab = 1, GetNumSpecializations(isnotplayer) do
 					local tree = new()
 					local _
-					tree.tabid, tree.name, tree.desc, tree.icon, _, tree.nlname = GetTalentTabInfo(tab, isnotplayer)
+					tree.tabid, tree.name, tree.desc, tree.icon, _, tree.nlname = GetSpecializationInfo(tab, isnotplayer)
 					tinsert(data, tree)
 					tree.list = new()
 					for i = 1,GetNumTalents(tab, isnotplayer) do
@@ -775,13 +775,13 @@
 					end
 
 					local bonusIndex = 0
-					bonusIndex = AddTreeBonuses(data, tree, tab, bonusIndex, "major", GetMajorTalentTreeBonuses(tab, isnotplayer))
-					bonusIndex = AddTreeBonuses(data, tree, tab, bonusIndex, "minor", GetMinorTalentTreeBonuses(tab, isnotplayer))
-					bonusIndex = AddTreeBonuses(data, tree, tab, bonusIndex, "early", GetTalentTreeEarlySpells(tab, isnotplayer))
-					bonusIndex = AddTreeBonuses(data, tree, tab, bonusIndex, "mastery", GetTalentTreeMasterySpells(tab, isnotplayer))
+-- DEPRECATED					bonusIndex = AddTreeBonuses(data, tree, tab, bonusIndex, "major", GetMajorTalentTreeBonuses(tab, isnotplayer))
+-- DEPRECATED					bonusIndex = AddTreeBonuses(data, tree, tab, bonusIndex, "minor", GetMinorTalentTreeBonuses(tab, isnotplayer))
+-- DEPRECATED					bonusIndex = AddTreeBonuses(data, tree, tab, bonusIndex, "early", GetTalentTreeEarlySpells(tab, isnotplayer))
+-- DEPRECATED					bonusIndex = AddTreeBonuses(data, tree, tab, bonusIndex, "mastery", GetTalentTreeMasterySpells(tab, isnotplayer))
 
 					-- Store Blizzards talent tree roles per tab. These are fixed values per spec, rather than dependant on player's talent choices
-					local role1, role2 = GetTalentTreeRoles(tab, isnotplayer)
+					local role1, role2 = GetSpecializationRole(tab, isnotplayer)
 					if (role1) then
 						if (role2) then
 							tree.roles = role1..","..role2
@@ -831,7 +831,7 @@
 
 -- ReadTalentGroup
 local function ReadTalentGroup(isnotplayer, group, class)
-	local numTabs = GetNumTalentTabs(isnotplayer)
+	local numTabs = GetNumSpecializations(isnotplayer)
 	if (numTabs and numTabs >= 3 and GetNumTalents(1, isnotplayer) > 0) then
 		local ctd = lib.classTalentData[class]
 --@debug@
@@ -851,9 +851,9 @@
 			local t = new()
 			local trim
 			for i = 1,branchLength do
-				local name, icon, tier, column, currentRank, maxRank = GetTalentInfo(tab, i, isnotplayer, nil, group)
-				tinsert(t, currentRank)
-				if (currentRank > 0) then
+				local name, icon, tier, column, selected, maxRank = GetTalentInfo(tab, i, isnotplayer, nil, group)
+				tinsert(t, selected)
+				if selected then
 					trim = i			-- We strip off trailing zeros from talent strings to save storage space
 				end
 			end
@@ -881,9 +881,9 @@
 		local namerealm = realm and realm ~= "" and name .. "-" .. realm or name
 		local isnotplayer = not UnitIsUnit(unit, "player")
 
-		if (GetTalentTabInfo(1, isnotplayer)) then
-			local active = GetActiveTalentGroup(isnotplayer)
-			local numActive = GetNumTalentGroups(isnotplayer)
+		if (GetSpecializationInfo(1, isnotplayer)) then
+			local active = GetActiveSpecGroup(isnotplayer)
+			local numActive = GetNumSpecGroups(isnotplayer)
 			local listUnspent, invalid, primary
 			local talents = new()
 
@@ -896,7 +896,7 @@
 					break
 				end
 
-				local unspent = GetUnspentTalentPoints(isnotplayer, nil, group)
+				local unspent = GetNumUnspentTalents(isnotplayer, nil, group)
 				if (unspent and unspent > 0) then
 					if (not listUnspent) then
 						listUnspent = new()
@@ -904,7 +904,7 @@
 					listUnspent[group] = unspent
 				end
 				
-				local p = GetPrimaryTalentTree(isnotplayer, nil, group)
+				local p = GetSpecialization(isnotplayer, nil, group)
 				if (p) then
 					if (not primary) then
 						primary = new()