Index: ZOMGBuffs.lua
===================================================================
--- ZOMGBuffs.lua	(revision 209)
+++ ZOMGBuffs.lua	(working copy)
@@ -188,7 +188,7 @@
 		{opt = "mark",	ids = {1126},	class = "DRUID",	type = "MARKINGS"},		-- Mark of the Wild
 		{opt = "sta",	ids = {21562, 69377},	class = "PRIEST",	type = "STA", runescroll = true},	-- Power Word: Fortitude
 		{opt = "int",	ids = {1459},	class = "MAGE",		type = "INT", manaOnly = true},	-- Arcane Brilliance
-		{opt = "shadow",ids = {27683},	class = "PRIEST",	type = "SHADOWPROT"},	-- Shadow Protection
+-- DEPRECATED		{opt = "shadow",ids = {27683},	class = "PRIEST",	type = "SHADOWPROT"},	-- Shadow Protection
 		{opt = "kings",ids = {20217},	class = "PALADIN",	type = "MARKINGS", runescroll = true},	-- Kings
 		{opt = "might",ids = {19740},	class = "PALADIN",	type = "MIGHT"},	-- Might
 		{opt = "food",	ids = {46899, 433},							type = "FOOD"},		-- Well Fed (Food = 433)
@@ -197,7 +197,7 @@
 	local otherBuffs = {
 		[469] = "STA",		-- Commanding Shout
 		[6307] = "STA",		-- Blood Pact
-		[54424] = "INT",	-- Fel Intelligence
+-- DEPRECATED		[54424] = "INT",	-- Fel Intelligence
 		[61316] = "INT",	-- Dalaran Brilliance
 	}
 
@@ -866,12 +866,12 @@
 									desc = GetSpellInfo(19740),		-- Might
 									order = 5,
 								},
-								shadow = {
-									type = 'toggle',
-									name = GetSpellInfo(27683),		-- Shadow Protection
-									desc = GetSpellInfo(27683),		-- Shadow Protection
-									order = 6,
-								},
+-- DEPRECATED								shadow = {
+-- DEPRECATED									type = 'toggle',
+-- DEPRECATED									name = GetSpellInfo(27683),		-- Shadow Protection
+-- DEPRECATED									desc = GetSpellInfo(27683),		-- Shadow Protection
+-- DEPRECATED									order = 6,
+-- DEPRECATED								},
 								food = {
 									type = 'toggle',
 									name = GetSpellInfo(46899),		-- Well Fed
@@ -1131,9 +1131,9 @@
 				playerClass = playerClass or select(2, UnitClass("player"))
 			end
 
-			if (GetNumRaidMembers() > 0) then
+			if (GetNumGroupMembers() > 0 and IsInRaid()) then
 				SetCacheMode("raid")
-				local End = GetNumRaidMembers()
+				local End = GetNumGroupMembers()
 				t.End = End
 				t.type = "raid"
 				t.index = 0
@@ -1145,7 +1145,7 @@
 				return unit, playerName, playerClass, subgroup, End
 			else
 				SetCacheMode("party")
-				t.End = GetNumPartyMembers()
+				t.End = GetNumGroupMembers()
 				t.type = "party"
 				t.index = 0
 				t.doPet = pets
@@ -3739,7 +3739,7 @@
 		end
 	end
 
-	if (GetNumRaidMembers() == 0 and GetNumPartyMembers() == 0) then
+	if (GetNumGroupMembers() == 0) then
 		deepDel(self.buffRoster)
 		self.buffRoster = new()
 		
@@ -4771,8 +4771,8 @@
 
 -- CheckStateChange
 function z:CheckStateChange()
-	local party = GetNumPartyMembers() > 0
-	local raid = GetNumRaidMembers() > 0
+	local party = GetNumGroupMembers() > 0
+	local raid = party and IsInRaid()
 	local instance, Type = IsInInstance()
 
 	local state, reason
Index: ZOMGBuffs_BuffTehRaid/ZOMGBuffs_BuffTehRaid.lua
===================================================================
--- ZOMGBuffs_BuffTehRaid/ZOMGBuffs_BuffTehRaid.lua	(revision 209)
+++ ZOMGBuffs_BuffTehRaid/ZOMGBuffs_BuffTehRaid.lua	(working copy)
@@ -664,7 +664,7 @@
 	z.waitingForRaid = nil
 
 	-- Now go through this and find anything we need to buff
-	local notInRaid = GetNumRaidMembers() == 0
+	local notInRaid = not IsInRaid()
 	local any
 	
 	if (totals > 0) then
@@ -684,7 +684,7 @@
 							if (unit) then
 								local colour = typeSpec.colour and z:HexColour(unpack(typeSpec.colour))
 								local toBuff = typeSpec.spellname
-								local whoNotice = typeSpec.group and ((GetNumRaidMembers() > 0 and RAID) or (GetNumPartyMembers() > 0 and PARTY)) or z:ColourUnit(unit)
+								local whoNotice = typeSpec.group and ((GetNumGroupMembers() > 0 and RAID) or (GetNumGroupMembers() > 0 and PARTY)) or z:ColourUnit(unit)
 								z:Notice(format(L["%s needs %s"], whoNotice, z:LinkSpell(toBuff, colour, true, z.db.profile.short and typeSpec.name)), "buffreminder")
 								any = true
 
@@ -873,13 +873,13 @@
 				colour = {0.7, 0.7, 1},
 				keycode = "stamina",
 			},
-			SHADOWPROT = {
-				o = 2,
-				id = 27683,
-				group = true,
-				colour = {0.7, 0.2, 0.7},
-				keycode = "shadowprot",
-			},
+-- DEPRECATED			SHADOWPROT = {
+-- DEPRECATED				o = 2,
+-- DEPRECATED				id = 27683,
+-- DEPRECATED				group = true,
+-- DEPRECATED				colour = {0.7, 0.2, 0.7},
+-- DEPRECATED				keycode = "shadowprot",
+-- DEPRECATED			},
 			FEARWARD = {
 				o = 3,
 				id = 6346,
@@ -902,13 +902,13 @@
 				colour = {0.9, 0.5, 0.9},
 				keycode = "mark",
 			},
-			THORNS = {
-				o = 2,
-				id = 467,
-				colour = {0.7, 0.7, 0.3},
-				limited = true,						-- Allow limited targets config
-				keycode = "thorns",
-			}
+-- DEPRECATED			THORNS = {
+-- DEPRECATED				o = 2,
+-- DEPRECATED				id = 467,
+-- DEPRECATED				colour = {0.7, 0.7, 0.3},
+-- DEPRECATED				limited = true,						-- Allow limited targets config
+-- DEPRECATED				keycode = "thorns",
+-- DEPRECATED			}
 		}
 
 	elseif (playerClass == "MAGE") then
@@ -926,17 +926,17 @@
 				colour = {0.3, 0.3, 1},
 				keycode = "int"
 			},
-			FOCUSMAGIC = {
-				o = 2,
-				id = 54646,						-- Focus Magic
-				onlyManaUsers = true,
-				colour = {0.80, 0.2, 1},
-				limited = true,						-- Allow limited targets config
-				exclusive = true,					-- Can only be cast on 1 tarrget
-				notself = true,
-				keycode = "focusmagic",
-				defaultRebuff = 5,
-			} 
+-- DEPRECATED			FOCUSMAGIC = {
+-- DEPRECATED				o = 2,
+-- DEPRECATED				id = 54646,						-- Focus Magic
+-- DEPRECATED				onlyManaUsers = true,
+-- DEPRECATED				colour = {0.80, 0.2, 1},
+-- DEPRECATED				limited = true,						-- Allow limited targets config
+-- DEPRECATED				exclusive = true,					-- Can only be cast on 1 tarrget
+-- DEPRECATED				notself = true,
+-- DEPRECATED				keycode = "focusmagic",
+-- DEPRECATED				defaultRebuff = 5,
+-- DEPRECATED			} 
 		}
 	elseif (playerClass == "SHAMAN") then
 		self.buffs = {
@@ -967,29 +967,29 @@
 				nopet = true,
 				keycode = "water",
 			},
-			WATERBREATH = {
-				o = 2,
-				id = 131,						-- Water Breathing
-				reagent = 17057,					-- Shiny Fish Scales
-				colour = {0.2, 0.8, 1},
-				limited = true,						-- Allow limited targets config
-				nopet = true,
-				keycode = "breath",
-			}
+-- DEPRECATED			WATERBREATH = {
+-- DEPRECATED				o = 2,
+-- DEPRECATED				id = 131,						-- Water Breathing
+-- DEPRECATED				reagent = 17057,					-- Shiny Fish Scales
+-- DEPRECATED				colour = {0.2, 0.8, 1},
+-- DEPRECATED				limited = true,						-- Allow limited targets config
+-- DEPRECATED				nopet = true,
+-- DEPRECATED				keycode = "breath",
+-- DEPRECATED			}
 		}
 	
 	elseif (playerClass == "WARLOCK") then
 		self.buffs = {
-			DARKINTENT = {
-				o = 1,
-				id = 80398,
-				colour = {0.43, 0, 1},
-				limited = true,						-- Allow limited targets config
-				exclusive = true,					-- Can only be cast on 1 tarrget
-				notself = true,
-				keycode = "darkintent",
-				defaultRebuff = 5,
-			},
+-- DEPRECATED			DARKINTENT = {
+-- DEPRECATED				o = 1,
+-- DEPRECATED				id = 80398,
+-- DEPRECATED				colour = {0.43, 0, 1},
+-- DEPRECATED				limited = true,						-- Allow limited targets config
+-- DEPRECATED				exclusive = true,					-- Can only be cast on 1 tarrget
+-- DEPRECATED				notself = true,
+-- DEPRECATED				keycode = "darkintent",
+-- DEPRECATED				defaultRebuff = 5,
+-- DEPRECATED			},
 			WATERBREATH = {
 				o = 2,
 				id = 5697,						-- Unending Breath
@@ -1050,15 +1050,15 @@
 		}	
 	elseif (playerClass == "WARRIOR") then
 		self.buffs = {
-			VIGILANCE = {
-				o = 1,
-				id = 50720,						-- Vigilance
-				colour = {1, 1, 0.7},
-				limited = true,						-- Allow limited targets config
-				exclusive = true,
-				notself = true,
-				keycode = "vigilance",
-			},
+-- DEPRECATED			VIGILANCE = {
+-- DEPRECATED				o = 1,
+-- DEPRECATED				id = 50720,						-- Vigilance
+-- DEPRECATED				colour = {1, 1, 0.7},
+-- DEPRECATED				limited = true,						-- Allow limited targets config
+-- DEPRECATED				exclusive = true,
+-- DEPRECATED				notself = true,
+-- DEPRECATED				keycode = "vigilance",
+-- DEPRECATED			},
 		}
 
 	elseif (playerClass == "ROGUE") then
@@ -1679,7 +1679,7 @@
 				reagentString = ""
 			end
 
-			local whoNotice = found.group and ((GetNumRaidMembers() > 0 and RAID) or (GetNumPartyMembers() > 0 and PARTY)) or z:ColourUnitByName(name)
+			local whoNotice = found.group and (((GetNumGroupMembers() > 0 and IsInRaid()) and RAID) or (GetNumGroupMembers() > 0 and PARTY)) or z:ColourUnitByName(name)
 			self:Printf(L["%s on %s%s"], z:LinkSpell(s, colour, true, z.db.profile.short and found.name), whoNotice, reagentString)
 		end
 	end
Index: ZOMGBuffs_SelfBuffs/ZOMGBuffs_SelfBuffs.lua
===================================================================
--- ZOMGBuffs_SelfBuffs/ZOMGBuffs_SelfBuffs.lua	(revision 209)
+++ ZOMGBuffs_SelfBuffs/ZOMGBuffs_SelfBuffs.lua	(working copy)
@@ -615,13 +615,13 @@
 
 	elseif (playerClass == "WARLOCK") then
 		classBuffs = {
-			{id = 687, o = 1, duration = 30, who = "self", dup = 1, c = "FF80FF"},					-- Demon Armor
-			{id = 28176, o = 2, duration = 30, who = "self", dup = 1, c = "10D020"},					-- Fel Armor
+-- DEPRECATED			{id = 687, o = 1, duration = 30, who = "self", dup = 1, c = "FF80FF"},					-- Demon Armor
+-- DEPRECATED			{id = 28176, o = 2, duration = 30, who = "self", dup = 1, c = "10D020"},					-- Fel Armor
 			{id = 6229, o = 4, duration = 0.5, default = 5, dup = 2, who = "self", noauto = true, c = "FF60FF", aliases = {91711}},				-- Shadow Ward / Nether Ward
-			{id = 19028, o = 7, duration = -1, who = "self", noauto = true, c = "20FF80", skip = function() return not UnitExists("pet") end},				-- Soul Link
-			{id = 79268, o = 9, duration = 0.15, who = "self", c = "9482C9", nocombatnotice = true,		-- Soul Harvest
-				skip = function() return not (UnitPower("player", SPELL_POWER_SOUL_SHARDS) < 3) end		-- Skip if shards are full
-			},
+-- DEPRECATED			{id = 19028, o = 7, duration = -1, who = "self", noauto = true, c = "20FF80", skip = function() return not UnitExists("pet") end},				-- Soul Link
+-- DEPRECATED			{id = 79268, o = 9, duration = 0.15, who = "self", c = "9482C9", nocombatnotice = true,		-- Soul Harvest
+-- DEPRECATED				skip = function() return not (UnitPower("player", SPELL_POWER_SOUL_SHARDS) < 3) end		-- Skip if shards are full
+-- DEPRECATED			},
 		}
 
 	elseif (playerClass == "HUNTER") then
@@ -639,7 +639,7 @@
 						end
 					end},	-- Aspect of the Cheetah
 			{id = 13159, o = 7, duration = -1, who = "self", dup = 1, c = "B0B0B0"},		-- Aspect of the Pack
-			{id = 20043, o = 8, duration = -1, who = "self", dup = 1, c = "20FF20"},		-- Aspect of the Wild
+-- DEPRECATED			{id = 20043, o = 8, duration = -1, who = "self", dup = 1, c = "20FF20"},		-- Aspect of the Wild
 		}
 
 	elseif (playerClass == "SHAMAN") then
@@ -705,15 +705,15 @@
 
 		classBuffs = {
 			{id = 20154, o = 1,  duration = 30, who = "self", dup = 1, noauto = true, c = "C0C0FF", rebuff = L["Seals"]},	-- Seal of Righteousness
-			{id = 85126, o = 2,  duration = 30, who = "self", dup = 1, noauto = true, c = "FFD010", rebuff = L["Seals"]},	-- Seal of Command
+-- DEPRECATED			{id = 85126, o = 2,  duration = 30, who = "self", dup = 1, noauto = true, c = "FFD010", rebuff = L["Seals"]},	-- Seal of Command
 			{id = 20165, o = 3,  duration = 30, who = "self", dup = 1, noauto = true, c = "FFA040", rebuff = L["Seals"]},	-- Seal of Insight
 			{id = 31801, o = 4,  duration = 30, who = "self", dup = 1, noauto = true, c = "FFD010", rebuff = L["Seals"]},	-- Seal of Truth
 			{id = 20164, o = 5,  duration = 30, who = "self", dup = 1, noauto = true, c = "A0FFA0", rebuff = L["Seals"]},	-- Seal of Justice
 			{id = 25780, o = 10, duration = 30, who = "self", c = "FFD020", cancancel = true},								-- Righteous Fury
-			{id = 465, o = 14, duration = -1, who = "self", dup = 2, mounted = true, c = "8090C0", checkdups = true, skip = skipFunc},		-- Devotion Aura
-			{id = 7294, o = 15, duration = -1, who = "self", dup = 2, mounted = true, c = "D040D0", checkdups = true, skip = skipFunc},		-- Retribution Aura
-			{id = 19746, o = 16, duration = -1, who = "self", dup = 2, mounted = true, c = "C020E0", checkdups = true, skip = skipFunc},		-- Concentration Aura
-			{id = 19891, o = 17, duration = -1, who = "self", dup = 2, mounted = true, c = "E06020", checkdups = true, skip = skipFunc},		-- Resistance Aura
+-- DEPRECATED			{id = 465, o = 14, duration = -1, who = "self", dup = 2, mounted = true, c = "8090C0", checkdups = true, skip = skipFunc},		-- Devotion Aura
+-- DEPRECATED			{id = 7294, o = 15, duration = -1, who = "self", dup = 2, mounted = true, c = "D040D0", checkdups = true, skip = skipFunc},		-- Retribution Aura
+-- DEPRECATED			{id = 19746, o = 16, duration = -1, who = "self", dup = 2, mounted = true, c = "C020E0", checkdups = true, skip = skipFunc},		-- Concentration Aura
+-- DEPRECATED			{id = 19891, o = 17, duration = -1, who = "self", dup = 2, mounted = true, c = "E06020", checkdups = true, skip = skipFunc},		-- Resistance Aura
 			{id = 32223, o = 18, duration = -1, who = "self", dup = 2, mounted = true, c = "D0D060", noauto = true, auto = function(v) return IsMounted() end, c = "FFFFFF"},	-- Crusader Aura
 			{id = 54428, o = 22, duration = 0.25, who = "self", c = "FFFF70", noauto = true,		-- Divine Plea
 				skip = function()
Index: ZOMGModulePrototype.lua
===================================================================
--- ZOMGModulePrototype.lua	(revision 209)
+++ ZOMGModulePrototype.lua	(working copy)
@@ -303,14 +303,14 @@
 -- GetTemplates
 function z.modulePrototype:GetTemplates()
 	local page
-	if (not self.db.profile.templates and GetNumTalentGroups() > 1 and GetActiveTalentGroup() > 1) then
-		page = "templates"..GetActiveTalentGroup()
+	if (not self.db.profile.templates and GetNumSpecGroups() > 1 and GetActiveSpecGroup() > 1) then
+		page = "templates"..GetActiveSpecGroup()
 
 		if (not self.db.char[page]) then
 			-- First time selecting a new talent group will copy the templates from group 1
 			self.db.char[page] = copy(self.db.char.templates)
 
-			self.db.char["selectedTemplate"..GetActiveTalentGroup()] = self.db.char.selectedTemplate
+			self.db.char["selectedTemplate"..GetActiveSpecGroup()] = self.db.char.selectedTemplate
 		end
 	else
 		page = "templates"
@@ -320,8 +320,8 @@
 
 -- GetSelectedTemplate
 function z.modulePrototype:GetSelectedTemplate()
-	if (not self.db.profile.templates and GetNumTalentGroups() > 1 and GetActiveTalentGroup() > 1) then
-		local name = "selectedTemplate"..GetActiveTalentGroup()
+	if (not self.db.profile.templates and GetNumSpecGroups() > 1 and GetActiveSpecGroup() > 1) then
+		local name = "selectedTemplate"..GetActiveSpecGroup()
 		return self.db.char[name]
 	end
 
@@ -330,8 +330,8 @@
 
 -- GetSelectedTemplate
 function z.modulePrototype:SetSelectedTemplate(set)
-	if (not self.db.profile.templates and GetNumTalentGroups() > 1 and GetActiveTalentGroup() > 1) then
-		local name = "selectedTemplate"..GetActiveTalentGroup()
+	if (not self.db.profile.templates and GetNumSpecGroups() > 1 and GetActiveSpecGroup() > 1) then
+		local name = "selectedTemplate"..GetActiveSpecGroup()
 		self.db.char[name] = set
 		return
 	end
@@ -468,7 +468,7 @@
 
 	self:RegisterEvent("PLAYER_TALENT_UPDATE")
 
-	self.currentTalentGroup = GetActiveTalentGroup()
+	self.currentTalentGroup = GetActiveSpecGroup()
 
 	self:OnModuleEnable()
 	self:MakeTemplateOptions(self)