Index: addon.lua
===================================================================
--- addon.lua	(revision 23938)
+++ addon.lua	(working copy)
@@ -90,80 +90,87 @@
 } end)
 
 L:RegisterTranslations("deDE", function() return {
-	["Filter"] = "Filter",
-	
-	["Select all"] = "Alle ausw\195\164hlen",
-	["Select none"] = "Nichts ausw\195\164hlen",
-
-	-- fish nodes
---	["Floating Wreckage"] = true,
---	["Patch of Elemental Water"] = true,
---	["Floating Debris"] = true,
---	["Oil Spill"] = true,
---	["Firefin Snapper School"] = true,
---	["Greater Sagefish School"] = true,
---	["Oily Blackmouth School"] = true,
---	["Sagefish School"] = true,
---	["School of Deviate Fish"] = true,
---	["Stonescale Eel Swarm"] = true,
---	["Muddy Churning Water"] = true,
-	-- Cartographer_Fishing contest node
---	["School of Tastyfish"] = true,
-	-- generic School for gatherer imports
---	["School"] = true,
-	-- potion fish
-	["Stonescale Eel"] = "Steinschuppenaal",
-	["Oily Blackmouth"] = "Öliges Schwarzmaul",
-	["Firefin Snapper"] = "Feuerflossenschnapper",
-	-- Fishing quest for artisan
-	["Sar'theris Striker"] = "Sar'theris-Barsch",
-	["Savage Coast Blue Sailfin"] = "Savage Coast Blue Sailfin",
-	["Misty Reed Mahi Mahi"] = "Nebelschilf-Mahi-Mahi",
-	["Feralas Ahi"] = "Feralas Ah",
-	-- quest fish
-	["Spotted Sunfish"] = "Spotted Sunfish",
-	["Lightning Eel"] = "Zitteraal",
-	["Oil Covered Fish"] = "Ölbedeckter Fisch",
-	["Plated Armorfish"] = "Panzerfisch",
-	["Darkshore Grouper"] = "Dunkelküstenbarsch",
-	["Electropeller"] = "Elektropeller", 
-	["Gaffer Jack"] = "Klemm-Muffen",
---	["Pristine Shimmerscale Eel"] = true, TODO (not found on wowguru)
-	-- cookable fish
-	["Raw Brilliant Smallfish"] = "Roher glänzender Kleinfisch",
-	["Raw Bristle Whisker Catfish"] = "Roher Stoppelfühlerwels",
-	["Raw Glossy Mightfish"] = "Roher glänzender Machtfisch",
-	["Raw Greater Sagefish"] = "Roher großer Weisenfisch",
-	["Raw Loch Frenzy"] = "Roher Lochfrenzy",
-	["Raw Longjaw Mud Snapper"] = "Roher Langzahniger Matschschnapper",
-	["Raw Mithril Head Trout"] = "Rohe Mithrilkopfforelle",
-	["Raw Nightfin Snapper"] = "Roher Nachtflossenschnapper",
-	["Raw Rainbow Fin Albacore"] = "Roher Regenbogenflossenthunfisch",
-	["Raw Redgill"] = "Roher Regenbogenflossenthunfisch",
-	["Raw Rockscale Cod"] = "Roher Steinschuppenkabeljau",
-	["Raw Sagefish"] = "Roher Weisenfisch",
-	["Raw Slitherskin Mackerel"] = "Rohe Glitschhautmakrele",
-	["Raw Spotted Yellowtail"] = "Roher Tüpfelgelbschwanz",
-	["Raw Summer Bass"] = "Roher Sommerbarsch",
-	["Raw Sunscale Salmon"] = "Roher Sonnenschuppenlachs",
-	["Raw Whitescale Salmon"] = "Roher Weißschuppenlachs",
-	["Darkclaw Lobster"] = "Dunkelklauenhummer",
-	["Deviate Fish"] = "Deviatfisch",
-	["Large Raw Mightfish"] = "Großer roher Machtfisch",
-	["Winter Squid"] = "Winterkalmar",
-	-- Cartographer_Fishing contest fish
-	["Speckled Tastyfish"] = "Gesprenkelter Leckerfisch",
-	["Keefer's Angelfish"] = "Keefers Engelfisch",
-	["Dezian Queenfish"] = "Dezianischer Königinnenfisch",
-	["Brownell's Blue Striped Racer"] = "Brownells blaugestreifter Flitzerfisch",
-	-- tbc fish
---	["Felblood Snapper"] = true,
---	["Figluster's Mudfish"] = true,
---	["Furious Crawdad"] = true,
---	["Golden Darter"] = true,
---	["Icefin Bluefish"] = true,
---	["Spotted Feltail"] = true,
---	["Zangarian Sporefish"] = true,
+	["Filter"] = "Filter",
+	["Filter out fish"] = "Fische filtern",
+	
+	["Select all"] = "Alle ausw\195\164hlen",
+	["Select none"] = "Nichts ausw\195\164hlen",
+	["Icon alpha"] = "Symbol Alpha",
+	["Alpha transparency of the icon"] = "Alpha-Transparenz des Symbols",
+	["Icon size"] = "Symbol Gr\195\182\195\159e",
+	["Size of the icons on the map"] = "Gr\195\182\195\159e der Symbole auf der Karte",
+	["Show Tastyfish"] = "Zeige Leckerfisch",
+	["Show only tastyfish nodes during the fishing extraveganza"] = "Nur Leckerfisch anzeigen w\195\164hrend des Angelwettbewerbs",
+	
+	-- fish nodes
+	["Floating Wreckage"] = "Schwimmende Wrackteile",
+	["Patch of Elemental Water"] = "Stelle Mit Elementarwasser",
+	["Floating Debris"] = "Schwimmende Tr\195\188mmer",
+	["Oil Spill"] = "\195\150lfleck",
+	["Firefin Snapper School"] = "Feuerflossenschnapperschwarm",
+	["Greater Sagefish School"] = "Schwarm gro\195\159er Weisenfische",
+	["Oily Blackmouth School"] = "Schwarm \195\182liger Schwarzmaulfische",
+	["Sagefish School"] = "Weisenfischschwarm",
+	["School of Deviate Fish"] = "Deviatfischschwarm",
+	["Stonescale Eel Swarm"] = "Steinschuppenaalschwarm",
+--	["Muddy Churning Water"] = true,
+	-- Cartographer_Fishing contest node
+	["School of Tastyfish"] = "Leckerfischschwarm",
+	-- generic School for gatherer imports
+	["School"] = "Schwarm",
+	-- potion fish
+	["Stonescale Eel"] = "Steinschuppenaal",
+	["Oily Blackmouth"] = "\195\150liges Schwarzmaul",
+	["Firefin Snapper"] = "Feuerflossenschnapper",
+	-- Fishing quest for artisan
+	["Sar'theris Striker"] = "Sar'theris-Barsch",
+	["Savage Coast Blue Sailfin"] = "Blauwimpel von der ungez\195\164hmten K\195\188ste",
+	["Misty Reed Mahi Mahi"] = "Nebelschilf-Mahi-Mahi",
+	["Feralas Ahi"] = "Feralas Ahi",
+	-- quest fish
+	["Spotted Sunfish"] = "Gefleckter Sonnenfisch",
+	["Lightning Eel"] = "Zitteraal",
+	["Oil Covered Fish"] = "\195\150lbedeckter Fisch",
+	["Plated Armorfish"] = "Panzerfisch",
+	["Darkshore Grouper"] = "Dunkelk\195\188stenbarsch",
+	["Electropeller"] = "Elektropeller", 
+	["Gaffer Jack"] = "Klemm-Muffen",
+--	["Pristine Shimmerscale Eel"] = true, TODO (not found on wowguru)
+	-- cookable fish
+	["Raw Brilliant Smallfish"] = "Roher gl\195\164nzender Kleinfisch",
+	["Raw Bristle Whisker Catfish"] = "Roher Stoppelf\195\188hlerwels",
+	["Raw Glossy Mightfish"] = "Roher gl\195\164nzender Machtfisch",
+	["Raw Greater Sagefish"] = "Roher gro\195\159er Weisenfisch",
+	["Raw Loch Frenzy"] = "Roher Lochfrenzy",
+	["Raw Longjaw Mud Snapper"] = "Roher Langzahniger Matschschnapper",
+	["Raw Mithril Head Trout"] = "Rohe Mithrilkopfforelle",
+	["Raw Nightfin Snapper"] = "Roher Nachtflossenschnapper",
+	["Raw Rainbow Fin Albacore"] = "Roher Regenbogenflossenthunfisch",
+	["Raw Redgill"] = "Roher Regenbogenflossenthunfisch",
+	["Raw Rockscale Cod"] = "Roher Steinschuppenkabeljau",
+	["Raw Sagefish"] = "Roher Weisenfisch",
+	["Raw Slitherskin Mackerel"] = "Rohe Glitschhautmakrele",
+	["Raw Spotted Yellowtail"] = "Roher T\195\188pfelgelbschwanz",
+	["Raw Summer Bass"] = "Roher Sommerbarsch",
+	["Raw Sunscale Salmon"] = "Roher Sonnenschuppenlachs",
+	["Raw Whitescale Salmon"] = "Roher Wei\195\159schuppenlachs",
+	["Darkclaw Lobster"] = "Dunkelklauenhummer",
+	["Deviate Fish"] = "Deviatfisch",
+	["Large Raw Mightfish"] = "Gro\195\159er roher Machtfisch",
+	["Winter Squid"] = "Winterkalmar",
+	-- Cartographer_Fishing contest fish
+	["Speckled Tastyfish"] = "Gesprenkelter Leckerfisch",
+	["Keefer's Angelfish"] = "Keefers Engelfisch",
+	["Dezian Queenfish"] = "Dezianischer K\195\182niginnenfisch",
+	["Brownell's Blue Striped Racer"] = "Brownells blaugestreifter Flitzerfisch",
+	-- tbc fish
+--	["Felblood Snapper"] = true,
+--	["Figluster's Mudfish"] = true,
+--	["Furious Crawdad"] = true,
+--	["Golden Darter"] = true,
+--	["Icefin Bluefish"] = true,
+--	["Spotted Feltail"] = true,
+--	["Zangarian Sporefish"] = true,
 --	["Goldenscale Vendorfish"] = true,
 } end)
 