Index: Babble-Fish-2.2.lua
===================================================================
--- Babble-Fish-2.2.lua	(revision 28653)
+++ Babble-Fish-2.2.lua	(working copy)
@@ -176,52 +176,52 @@
 
 BabbleFish:RegisterTranslations("deDE", function() return {
 -- Fishing Node
-	["Floating Wreckage"] = "Schwimmende Wrackteile",
+	["Floating Wreckage"] = "Treibende Wrackteile",
 	["Patch of Elemental Water"] = "Stelle mit Elementarwasser",
-	["Floating Debris"] = "Schwimmende Trümmer",
-	["Oil Spill"] = "Ölfleck", -- check
+	["Floating Debris"] = "Schwimmende Tr\195\188mmer",
+	["Oil Spill"] = "\195\150lfleck", 
 	["Firefin Snapper School"] = "Feuerflossenschnapperschwarm",
-	["Greater Sagefish School"] = "Schwarm großer Weisenfische",
-	["Oily Blackmouth School"] = "Schwarm öliger Schwarzmaulfische",
+	["Greater Sagefish School"] = "Schwarm gro\195\159er Weisenfische",
+	["Oily Blackmouth School"] = "Schwarm \195\182liger Schwarzmaulfische",
 	["Sagefish School"] = "Weisenfischschwarm",
 	["School of Deviate Fish"] = "Deviatfischschwarm",
 	["Stonescale Eel Swarm"] = "Steinschuppenaalschwarm",
-	["Muddy Churning Water"] = "Schlammiges aufgewühltes Gewässer",
-  ["Highland Mixed School"] = "Hochlandschwarm", -- definitely needs a closer look!
-  ["Pure Water"] = "Reines Wasser",
-  ["Bluefish School"] = "Blauflossenschwarm", --check
-  ["Feltail School"] = "Teufelsfinnenschwarm", --check
-  ["Mudfish School"] = "Matschflosserschwarm", --check
-  ["School of Darter"] = "Stachelflosserschwarm" , --check
-  ["Sporefish School"] = "Sporenfischschwarm",
-  ["Steam Pump Flotsam"] = "Dampfpumpentrümmer", --check
-  ["School of Tastyfish"] = "Leckerfischschwarm",
+	["Muddy Churning Water"] = "Schlammiges aufgew\195\188hltes Gew\195\164sser",
+    ["Highland Mixed School"] = "Mischschwarm des Hochlands",
+    ["Pure Water"] = "Reines Wasser",
+    ["Bluefish School"] = "Blauflossenschwarm",
+    ["Feltail School"] = "Teufelfinnenschwarm",
+    ["Mudfish School"] = "Matschflosserschwarm",
+    ["School of Darter"] = "Stachelflosserschwarm",
+    ["Sporefish School"] = "Sporenfischschwarm",
+    ["Steam Pump Flotsam"] = "Treibgut der Dampfpumpe",
+    ["School of Tastyfish"] = "Leckerfischschwarm",
 -- Quest Fish + Fished Loot for Quests
 	["Sar'theris Striker"] = "Sar'theris-Barsch",
-	["Savage Coast Blue Sailfin"] = "Blauwimpel von der ungezähmten Küste",
+	["Savage Coast Blue Sailfin"] = "Blauwimpel von der ungez\195\164hmten K\195\188ste",
 	["Misty Reed Mahi Mahi"] = "Nebelschilf-Mahi-Mahi",
 	["Feralas Ahi"] = "Feralas Ahi",
 	["Spotted Sunfish"] = "Gefleckter Sonnenfisch",
 	["Lightning Eel"] = "Zitteraal",
-	["Oil Covered Fish"] = "Ölbedeckter Fisch",
+	["Oil Covered Fish"] = "\195\150lbedeckter Fisch",
 	["Plated Armorfish"] = "Panzerfisch",
-	["Darkshore Grouper"] = "Dunkelküstenbarsch",
+	["Darkshore Grouper"] = "Dunkelk\195\188stenbarsch",
 	["Electropeller"] = "Elektropeller",
 	["Gaffer Jack"] = "Klemm-Muffen",
 	["Speckled Tastyfish"] = "Gesprenkelter Leckerfisch",
 	["Keefer's Angelfish"] = "Keefers Engelfisch",
-	["Dezian Queenfish"] = "Dezianischer Königinnenfisch",
+	["Dezian Queenfish"] = "Dezianischer K\195\182niginnenfisch",
 	["Brownell's Blue Striped Racer"] = "Brownells blaugestreifter Flitzerfisch",
 -- Normal Fish
 	["Stonescale Eel"] = "Steinschuppenaal",
-	["Oily Blackmouth"] = "Öliges Schwarzmaul",
+	["Oily Blackmouth"] = "\195\150liges Schwarzmaul",
 	["Firefin Snapper"] = "Feuerflossenschnapper",
 --["Oil Covered Fish"] = ,
   ["Sickly Looking Fish"] = "Krank aussehender Fisch",
-	["Raw Brilliant Smallfish"] = "Roher glänzender Kleinfisch",
-	["Raw Bristle Whisker Catfish"] = "Roher Stoppelfühlerwels",
-	["Raw Glossy Mightfish"] = "Roher glänzender Machtfisch",
-	["Raw Greater Sagefish"] = "Roher großer Weisenfisch",
+	["Raw Brilliant Smallfish"] = "Roher gl\195\164nzender Kleinfisch",
+	["Raw Bristle Whisker Catfish"] = "Roher Stoppelf\195\188hlerwels",
+	["Raw Glossy Mightfish"] = "Roher gl\195\164nzender Machtfisch",
+	["Raw Greater Sagefish"] = "Roher gro\195\159er Weisenfisch",
 	["Raw Loch Frenzy"] = "Roher Lochfrenzy",
 	["Raw Longjaw Mud Snapper"] = "Roher langzahniger Matschschnapper",
 	["Raw Mithril Head Trout"] = "Rohe Mithrilkopfforelle",
@@ -231,20 +231,20 @@
 	["Raw Rockscale Cod"] = "Roher Steinschuppenkabeljau",
 	["Raw Sagefish"] = "Roher Weisenfisch",
 	["Raw Slitherskin Mackerel"] = "Rohe Glitschhautmakrele",
-	["Raw Spotted Yellowtail"] = "Roher Tüpfelgelbschwanz",
+	["Raw Spotted Yellowtail"] = "Roher T\195\188pfelgelbschwanz",
 	["Raw Summer Bass"] = "Roher Sommerbarsch",
 	["Raw Sunscale Salmon"] = "Roher Sonnenschuppenlachs",
-	["Raw Whitescale Salmon"] = "Roher Weißschuppenlachs",
+	["Raw Whitescale Salmon"] = "Roher Wei\195\159schuppenlachs",
 	["Darkclaw Lobster"] = "Dunkelklauenhummer",
 	["Deviate Fish"] = "Deviatfisch",
-	["Large Raw Mightfish"] = "Großer roher Machtfisch",
+	["Large Raw Mightfish"] = "Gro\195\159er roher Machtfisch",
 	["Winter Squid"] = "Winterkalmar",
 	["Felblood Snapper"] = "Teufelsblutschnapper",
 	["Figluster's Mudfish"] = "Feigenschimmers Matschflosser",
 	["Furious Crawdad"] = "Grimmiger Flusskrebs",
 	["Golden Darter"] = "Goldener Stachelflosser",
 	["Icefin Bluefish"] = "Eisblauflosse",
-	["Spotted Feltail"] = "Tüpfelteufelsfinne",
+	["Spotted Feltail"] = "T\195\188pfelteufelsfinne",
 	["Zangarian Sporefish"] = "Zangarischer Sporenfisch",
 	["Goldenscale Vendorfish"] = "Goldschuppenfisch",
 }